package com.example.demo.dashboard;

import java.math.BigDecimal;

public class DashboardOverviewResponse {
    private BigDecimal todaySalesAmount;
    private BigDecimal monthSalesAmount;
    private BigDecimal monthGrossProfit;
    private BigDecimal stockTotalQuantity;

    public DashboardOverviewResponse(BigDecimal todaySalesAmount, BigDecimal monthSalesAmount, BigDecimal monthGrossProfit, BigDecimal stockTotalQuantity) {
        this.todaySalesAmount = todaySalesAmount;
        this.monthSalesAmount = monthSalesAmount;
        this.monthGrossProfit = monthGrossProfit;
        this.stockTotalQuantity = stockTotalQuantity;
    }

    public BigDecimal getTodaySalesAmount() {
        return todaySalesAmount;
    }

    public BigDecimal getMonthGrossProfit() {
        return monthGrossProfit;
    }

    public BigDecimal getStockTotalQuantity() {
        return stockTotalQuantity;
    }

    public BigDecimal getMonthSalesAmount() {
        return monthSalesAmount;
    }
}



